#!/usr/bin/gnuplot
set term png size 1000,710 enhanced font "Vera,9"
set datafile separator ","
set xlabel  "JACK configuration [frames-per-period * periods-per-cycle / samplerate / --sync]"
set ylabel  "measured latency [frames]"
set y2label "measured latency [ms]"
set y2tics
set ytics nomirror
set xtics nomirror out scale 1 rotate
set logscale y
set logscale y2
set key top left

set output '/tmp/table1.png'
plot [][48:10080][][1:210] \
  './table1.csv' using ($4):xticlabels(1)            ls 1 title "HDA-1", \
  './table1.csv' using ($5):xticlabels(1)  axes x1y2 ls 1 notitle, \
  './table1.csv' using ($6):xticlabels(1)            ls 2 title "HDA-2", \
  './table1.csv' using ($7):xticlabels(1)  axes x1y2 ls 2 notitle, \
  './table1.csv' using ($8):xticlabels(1)            ls 3 title "HDA-3", \
  './table1.csv' using ($9):xticlabels(1)  axes x1y2 ls 3 notitle, \
  './table1.csv' using ($10):xticlabels(1)           ls 4 title "USB-1", \
  './table1.csv' using ($11):xticlabels(1) axes x1y2 ls 4 notitle, \
  './table1.csv' using ($12):xticlabels(1)           ls 5 title "USB-2", \
  './table1.csv' using ($13):xticlabels(1) axes x1y2 ls 5 notitle, \
  './table1.csv' using ($14):xticlabels(1)           ls 6 title "USB-3", \
  './table1.csv' using ($15):xticlabels(1) axes x1y2 ls 6 notitle

set output '/tmp/table1lin.png'
unset logscale y
unset logscale y2
plot [][0:10080][][0:210] \
  './table1.csv' using ($4):xticlabels(1)            ls 1 title "HDA-1", \
  './table1.csv' using ($5):xticlabels(1)  axes x1y2 ls 1 notitle, \
  './table1.csv' using ($6):xticlabels(1)            ls 2 title "HDA-2", \
  './table1.csv' using ($7):xticlabels(1)  axes x1y2 ls 2 notitle, \
  './table1.csv' using ($8):xticlabels(1)            ls 3 title "HDA-3", \
  './table1.csv' using ($9):xticlabels(1)  axes x1y2 ls 3 notitle, \
  './table1.csv' using ($10):xticlabels(1)           ls 4 title "USB-1", \
  './table1.csv' using ($11):xticlabels(1) axes x1y2 ls 4 notitle, \
  './table1.csv' using ($12):xticlabels(1)           ls 5 title "USB-2", \
  './table1.csv' using ($13):xticlabels(1) axes x1y2 ls 5 notitle, \
  './table1.csv' using ($14):xticlabels(1)           ls 6 title "USB-3", \
  './table1.csv' using ($15):xticlabels(1) axes x1y2 ls 6 notitle

#################
reset
set term png size 1000,710 enhanced font "Vera,9"
set datafile separator ","
set xlabel  "JACK configuration [frames-per-period * periods-per-cycle / samplerate / --sync]"
set ylabel  "measured minus nominal latency [frames]"
set ytics nomirror
set xtics nomirror out scale 1 rotate
set key top left
set logscale y

set output '/tmp/table2.png'
plot \
  './table2.csv' using ($2):xticlabels(1)  ls 1 title "HDA-1", \
  './table2.csv' using ($4):xticlabels(1)  ls 2 title "HDA-2", \
  './table2.csv' using ($6):xticlabels(1)  ls 3 title "HDA-3", \
  './table2.csv' using ($8):xticlabels(1)  ls 4 title "USB-1", \
  './table2.csv' using ($10):xticlabels(1) ls 5 title "USB-2", \
  './table2.csv' using ($12):xticlabels(1) ls 6 title "USB-3"

set output '/tmp/table2lin.png'
unset logscale y
plot \
  './table2.csv' using ($2):xticlabels(1)  ls 1 title "HDA-1", \
  './table2.csv' using ($4):xticlabels(1)  ls 2 title "HDA-2", \
  './table2.csv' using ($6):xticlabels(1)  ls 3 title "HDA-3", \
  './table2.csv' using ($8):xticlabels(1)  ls 4 title "USB-1", \
  './table2.csv' using ($10):xticlabels(1) ls 5 title "USB-2", \
  './table2.csv' using ($12):xticlabels(1) ls 6 title "USB-3"


#################
reset
set term png size 1000,710 enhanced font "Vera,9"
set datafile separator ","
set xlabel  "JACK configuration [frames-per-period * periods-per-cycle / samplerate / --sync]"
set ylabel  "measured minus nominal latency minus one extra period [frames]"
set ytics nomirror
set xtics nomirror out scale 1 rotate
set key bottom left

set output '/tmp/table3.png'
plot \
  './table3.csv' using ($4):xticlabels(1)  ls 4 title "USB-1", \
  './table3.csv' using ($4):xticlabels(1)  ls 5 title "USB-2", \
  './table3.csv' using ($6):xticlabels(1)  ls 6 title "USB-3"


